首页
学习
活动
专区
圈层
工具
发布
社区首页 >问答首页 >在RingCentral中以编程方式创建任务

在RingCentral中以编程方式创建任务
EN

Stack Overflow用户
提问于 2019-05-29 01:33:29
回答 1查看 107关注 0票数 1

我可以用下面的代码创建一个到Glip的帖子:

代码语言:javascript
复制
$AddPostHeader  =  @{'Content-Type'  =  'application/json';'Authorization'='Bearer ' + $token}
    $AddPostURL = 'https://platform.devtest.ringcentral.com/restapi/v1.0/glip/chats/' + $selectedGroup + '/posts'
    $AddPostBody = @{'type' = 'TextMessage'; 'text' = 'This post was written from Powershell'}
    $AddPostBody = ConvertTo-Json $AddPostBody

    $NewPost = Invoke-RestMethod -h $AddPostHeader -Body $AddPostBody $AddPostURL -Method 'POST'
    $AddPostURL
    $NewPost

但是我如何创建一个任务呢?

上面说我可以:https://medium.com/ringcentral-developers/automating-team-productivity-with-glip-748a05aa32e9

我引用了https://developers.ringcentral.com/api-reference,但没有任何幸运?帖子有'type‘选项吗?

EN

回答 1

Stack Overflow用户

发布于 2019-07-28 13:59:42

应用程序接口引用现在有一组RingCentral任务API。创建任务API如下所示:

下面是使用HTTP使用此API的快速示例:

必填字段:

  • chatId (path)
  • subject (正文)任务name
  • assignees (正文)受分配人的personId

请求示例:

代码语言:javascript
复制
POST https://platform.ringcentral.com/restapi/v1.0/glip/chats/{chatId}/tasks
Authorization: Bearer <myToken>
Content-Type: application/json

{
  "subject": "My New Task",
  "assignees": [{"id":"123"}]
}
票数 0
EN
页面原文内容由Stack Overflow提供。腾讯云小微IT领域专用引擎提供翻译支持
原文链接:

https://stackoverflow.com/questions/56347429

复制
相关文章

相似问题

领券
问题归档专栏文章快讯文章归档关键词归档开发者手册归档开发者手册 Section 归档